---
description: 2019 was a great year for Material-UI. It puts us on an exciting path to solve even greater challenges in the coming years!
---

# 2019 in review and beyond

The core team. January 25, 2020.

2019 was a great year for Material-UI.
It puts us on an exciting path to solve even greater challenges in the coming years!

## Growth

- 📦 From 2.2M to [3.2M](https://www.npmjs.com/package/@material-ui/core) downloads per month.
- 📈 From 1.6M to 3.1M unique visitors per year on the documentation.
- ⭐️ From 43.1k to 53.3k stars, leave us [yours 🌟](https://github.com/mui-org/material-ui).
- 👨‍👩‍👧‍👦 From 1,064 to [1,581](https://github.com/mui-org/material-ui/graphs/contributors) contributors.
- 💰 Grew financial support by 76% in 2019, compared to 2018.
- 🏢 From 1.5 to 3 full-time equivalent developers, spread among multiple financially supported [core team members](https://material-ui.com/discover-more/team/).

The numbers speak for themselves. 2019 was super exciting and made Material-UI one of the most advanced open-source, React-based, UI component libraries!

## In review

When we started 2019, we were celebrating the launch of the **first stable release** of the framework and iterating to polish it (looking at the list of breaking changes, v3 is almost identical to v1).
We thought we were almost done, and that we had done the hardest part with the release of the stable version. All we would need to do going forward was to keep up with the Material Design specification and fix a couple of bugs.

We soon realized that we could do way more. It was just the beginning :D.
Some of the key factors:

- The results of the [2019 Developer Survey](https://medium.com/material-ui/2019-material-ui-developer-survey-results-c9589434bbcf) have highlighted the immense potential for working on advanced components and features, especially for enterprise users.
Developers are craving for a UI framework that they can learn once (e.g. few breaking changes, only one solution per problem) and use everywhere (e.g. comprehensive, customizable, high-quality).
- Bootstrap had successfully released [a theme store](https://themes.getbootstrap.com/).
Following this approach opened an opportunity to capture a fraction of the value Material-UI creates for its users, and funnel it back into R&D on the framework.
- The market for paid UI components is in the order of a couple of $100m/year,
with dozens of companies positioned in this market.
While React is only one technology among many (jQuery, Angular, ASP.NET, Blazor, Vue, WPF, UWP, etc) with which to build a UI, but we believe that Web and React will become the dominant technology in the next 5 years for enterprises. Material-UI is uniquely positioned to address this market with non-MIT features.
- Building UIs should be simpler, it still too slow and complex.
Designers and developers should benefit from a more integrated experience.
- Every now and then, we witness the appearance of a new React UI component library built from scratch ([UXPin](https://adele.uxpin.com/) keeps track of some of them).
And every time we asked ourselves, "what could have we done differently to empower this library"?
We believe that starting from scratch, while maximizing freedom, is incredibly inefficient.
Most UI libraries need the same features but are implemented with a wide spectrum of accessibility, developer experience, and overall design quality.
We won't rest until we successfully unify these efforts. It's a long term mission and will probably take years. The foundation will be the release of an un-styled version of our components.

## Achievements

- We have released [v4](/blog/material-ui-v4-is-out/).
- We have introduced many new components (some in the core, some in the lab):
  - [Autocomplete](/components/autocomplete/)
  - [Backdrop](/components/backdrop/)
  - [Breadcrumbs](/components/breadcrumbs/)
  - [ButtonGroup](/components/button-group/)
  - [Container](/components/container/)
  - [Link](/components/links/)
  - [Rating](/components/rating/)
  - [Skeleton](/components/skeleton/)
  - [Slider](/components/slider/)
  - [TextareaAutosize](/components/textarea-autosize/)
  - [TreeView](/components/tree-view/)
- We have fixed a significant number of [accessibility issues](https://github.com/mui-org/material-ui/issues?q=is%3Aissue+label%3Aaccessibility+is%3Aclosed).
- We have introduced global class names.
- We have migrated the whole codebase to hooks.
- We migrated all the demos to TypeScript (while also offering transpiled JS demos).
- We introduced [native tree-shaking](/guides/minimizing-bundle-size/) support.
- We introduced [built-in localization](/guides/localization/).
- We removed a good number of external dependencies and increased the `features/bundle size` density.
- We introduced an [icon search page](/components/material-icons/).
- We released a [store for Material-UI](https://themes.material-ui.com/).

## Looking at 2020

2019 was great, 2020 is going to be even more exciting!
We will continue in the same direction.

### Survey

The developer survey we ran [last year](/blog/2019-developer-survey-results/) was so insightful that we plan to run it every year.
It's a great opportunity for us to adjust the strategy and to pause to analyze the outcome of the actions we took in the previous year.

### Open source roadmap

Most of the time we work in the open. Here's our [public roadmap](/discover-more/roadmap).
We plan to release a new major around the end of the year (v5).
We will promote components that are in the lab to the core, migrate to styled-components, and more.

### Store

We will increase the depth of content available with more themes and templates.
We have recently released a Sketch design library, and are planning to support Figma, and Adobe XD too. For Framer, we have made the key components available as a [Framer package](https://packages.framer.com/package/material-ui/material-ui).

### Enterprise

We plan to release an enterprise class offering, starting with the data grid.
Enterprise features will build on the open source version of the components.

### Hiring

We are looking for a [full-time software developer](/company/software-engineer/) to join us!

If you want to help us onboard more full-time developers in the team, [here are a couple of ways](/getting-started/faq/#material-ui-is-awesome-how-can-i-support-the-project).
Spreading the word to other developers that are looking for a great UI framework is also extremely helpful 🙌.
