# 支持

<p class="description">从社区帮助到高级的商业化支持，我们愿意帮忙。</p>

## 社区帮助

社区是您对框架提问或给出建议的第一站。 欢迎来到社区！

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="StackOverflow logo" loading="lazy" />

对于来自社区Material-UI开发专家，对于众包的技术问题。 以及Material-UI核心团队回答的常见问题。

[提交一个问题](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <img src="/static/images/logos/github.svg" width="24" height="24" alt="GitHub logo" loading="lazy" />

我们用GitHub issues作为唯一的记录BUG或特性需求的跟踪方式。 如果你认为发现了BUG，或有一个新特性的想法，请在开始前先确保它没有被[报告过或解决过](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed)。 您可以在现存的Issues或Pull Requests中搜索，以了解是否有人报告过类似的问题。

[打开一个Issue](https://github.com/mui-org/material-ui/issues/new/choose)

#### 新Issue指南

- 请遵循Issue模板
- 请标题以'[ComponentName]'[开始，并用合适的、简洁的描述来帮助其他人找到类似问题。 
  - "不工作 ❌
  - "[Button] 增加对于... 的支持 <some feature>" ✅
- 请不要在一个Issue中打包多个话题 - 取而代之的，是每一个话题都应该有他自己的Issue。
- 请不要在Issue评论中回复“+1” 它相当于向维护者发送垃圾信息，也无法使问题取得进展。 可以用GitHub的表情来替代 (👍).

### 博客 📝

Stay up to date with the development of the library by following the blog.

[Read the latest posts](https://medium.com/material-ui/)

### 资源📖

您是第一次接触 Material-UI 吗? 如果你知道从哪里开始, 就很容易学会!

[学习使用 Material-UI](/getting-started/learn/)

### Twitter <img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Twitter logo" loading="lazy" />

Receive the latest news on Material-UI.

[Follow us](https://twitter.com/MaterialUI)

### 支持的版本

The Material-UI CE (Community Edition) has been 100% open-source (MIT) since the very beginning, and always will be. Developers can ensure Material-UI is the right choice for their React applications through Material-UI’s community maintenance strategy. The Material-UI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). The open-source community is always welcome to submit new features and bug fixes as well.

The current status of each Material-UI version is as follows:

- Material-UI v4 (hooks): ✅ In active development.
- Material-UI v3 (change supported browsers): ⚠️ Only handle security fixes.
- ~Material-UI v2 (never existed)~.
- Material-UI v1 (rewrite): ❌ Inactive.
- Material-UI v0.x: ❌ Inactive.

For teams and organizations that require additional support for older versions, Material-UI has [options available](#enterprise).

## 专业支持(高级)

### 企业版本

Accelerate your company’s application development with a secure, long-term solution that’s optimized for enterprise and backed by Material-UI experts.

- **Long Term version support.** LTS provides developers and organizations with additional stability and reliability in the applications they’re developing, including guaranteed service level agreements (SLAs) and advisory services. Take the time you need before upgrading to the latest active version of Material-UI, or remain confident in your application’s long-term supportability by staying on whichever version you’re most comfortable with. LTS is available as a paid service, it extends to Material-UI v1 implementations and higher.
- **Version migration assistance**.
- **Priority fixes**.
- **Priority support**. Timely support and troubleshooting when you need it most. Get expert help directly from the Material-UI team with guaranteed response times (next business day).

For more information, [get a quote](mailto:enterprise@material-ui.com) from our team.

### 咨询

Supercharge your team’s development with Material-UI Advisory Services:

#### 开发者咨询

Everything your team needs to make sure you’re using React in the best way as you evaluate and build on Material-UI.

- A private, dedicated Slack channel with access to our consultants. Get real-time advice, guidance, and feedback when you need it, with live Slack access and direct private chat with Material-UI’s expert technical team.
- An initial review of your architecture and development workflow.
- Guidance on best practices that will help you take full advantage of Material-UI and prevent avoidable mistakes.

[Get a quote](mailto:advisory@material-ui.com)

#### 企业咨询

A complete support package, for teams using Material-UI for critical business applications and organizations deploying Material-UI across multiple teams.

- Includes "Developer Advisory" scaled to your entire scope of work.
- A designated Technical Account Manager who understands your business requirements and proactively makes sure you’re getting everything you need.
- A designated remote consultant who works with your team through every phase of development.
- Regular, scheduled reviews.

[Get a quote](mailto:advisory@material-ui.com)

### Tidelift subscription <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Tidelift logo" loading="lazy" />

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

[Get more details](https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

[Request a demo](https://tidelift.com/subscription/request-a-demo?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

### 定制工作🛠

调整Material-UI以满足特定要求。 给我们您的需求摘要；如果可以的话，我们会帮助您。 我们可能：

- 如果工作简单明了，会给您估计时间和价格
- 建议可能不需要 Material-UI 的替代方法
- 由于时间或相关性而拒绝合作

请注意，工作必须与 Material-UI 相关。 我们不接受一般的 React 开发工作。 Our contracting price is $200/hour or $1,500/day.

[给我们发送电子邮件](mailto:custom-work@material-ui.com)